Editor Guide
============

The XMPP Extensions Editor (or, for short, XEP Editor) manages the XMPP
extensions process as defined in XMPP Extension Protocols ([XEP-0001]).
In addition, the XEP Editor functions as the XMPP Registrar as defined in XMPP
Registrar Function ([XEP-0053]).
Read those documents first, since this README focuses on mechanics instead of
philosophy or policy.


This is the entrypoint definitive guide for Editors.

- [Using the repository](REPOSITORY.md)

    Information about how to build XEPs and how the repository is laid out.

<!--
- [Tools](TOOLS.md)

    Information about tools provided with the repository which should help in
    your daily editor duties.
-->

- [Triaging](TRIAGING.md)

    Rules for labelling and guiding inbound Pull Requests (Merge Requests).

- [Processing](PROCESSING.md)

    Rules and guidelines for processing inbound Pull Requests (Merge Requests)
    towards master/main.

- [Moderation](MODERATION.md)

    Rules and guidelines for moderating the discussions in the PRs.


[XEP-0053]: https://xmpp.org/extensions/xep-0053.html
